/**
 *
 */
package info.silin.an10na.converter;

/**
 * Implementors convert from <S>> to <S>.
 *
 * @author kostja
 */
public interface IConverter<S, T> {

    /**
     * Converts or reinterprets the type of src object from type S to type S
     *
     * @param src the object to be converted
     * @return result of the conversion
     */
    T convert(final S src);
}
